<ejs-grid #gridelement [dataSource]='parameters' [editSettings]='editSettings' [toolbar]='toolbar' width=1200
    (actionBegin)='actionBegin($event)'>
    <e-columns>
        <e-column field='name' headerText="{{ParameterContent?.ParameterName}}" isPrimaryKey='true' width=150 textAlign='center'>
        </e-column>
  
        <e-column field='config_type' headerText="{{ParameterContent?.ParameterType}}" width=150 textAlign='center'>
            <ng-template #editTemplate>
                <div>
                    <ejs-dropdownlist (change)='empty()' [dataSource]='parameter_type_list'
                        [(value)]='paraData.config_type' width='150'
                        placeholder='{{ParameterContent?.PlaceholderParameterype}}'>
                    </ejs-dropdownlist>
                </div>
            </ng-template>
        </e-column>
        <e-column field='config_value' headerText='{{ParameterContent?.ParameterValue}}' width=400 textAlign='center'>
            <ng-template #editTemplate>
                <div>
                    <input [(ngModel)]='paraData.config_value' *ngIf="paraData.config_type==parameter_type_list[0]">
                    <input [(ngModel)]='paraData.config_value'
                        *ngIf="paraData.config_type==parameter_type_list[1] || paraData.config_type==parameter_type_list[2]"
                        [disabled]="paraData.config_type==parameter_type_list[1] || paraData.config_type==parameter_type_list[2]">
                    <div class="row">
                        <div class="col">
                            <ejs-dropdownlist [(value)]='paraData.schema'
                                *ngIf="paraData.config_type==parameter_type_list[3]" (change)='selecting_tables(paraData.schema)'
                                [dataSource]='schemalist' width='120' placeholder='{{ParameterContent?.Selectschema}}'>
                            </ejs-dropdownlist>
                        </div>
                        <div class="col">
                            <ejs-dropdownlist [(value)]='paraData.table'
                                *ngIf="paraData.config_type==parameter_type_list[3]"
                                (change)='selecting_columns(paraData.table)' [dataSource]='filtered_table_to_display' width='120'
                                placeholder='{{ParameterContent?.SelectTable}}'>
                            </ejs-dropdownlist>
                        </div>
                        <div class="col">
                            <ejs-dropdownlist [(value)]='paraData.column'
                                *ngIf="paraData.config_type==parameter_type_list[3]" [dataSource]='filtered_column_to_display'
                                width='120' placeholder='{{ParameterContent?.SelectColumn}}'>
                            </ejs-dropdownlist>
                        </div>
                    </div>
                </div>
            </ng-template>

        </e-column>

        <e-column field='description' headerText='{{ParameterContent?.Description}}' width=200 textAlign='center'>
            <ng-template #editTemplate>
                <div>
                    <input [(ngModel)]='paraData.description' type='text'>
                </div>
            </ng-template>
        </e-column>
        <e-column isPrimaryKey='true' headerText='' width= 100 textAlign='center'>
            <ng-template #editTemplate>
                <div>
                    <button id="save" (click)=" addParameterDef()" class="btn btn-width bkgrnd-cyan save-details"
                        type="button" name="save-details">{{ParameterContent?.Save}}
                    </button>
                </div>
            </ng-template>
        </e-column>
    </e-columns>
</ejs-grid>